TIMEOUT(1)

NAVN
timeout - afvikl en kommando med en tidsbegrænsning

SYNOPSIS
timeout [FLAG] VARIGHED KOMMANDO [ARG]...
timeout [FLAG]

BESKRIVELSE

Start KOMMANDO, og dræb den hvis den stadig kører efter VARIGHED.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

--preserve-status

    afslut med samme status som KOMMANDO, selv ved tidsudløb

    for kommandoen

--foreground

    Når der ikke køres timeout direkte fra en skalprompt, så

    tillad KOMMANDO at læse fra TTY'en og modtage TTY-signaler. I denne tilstand vil underprocesser af KOMMANDO ikke udløbe

-k, --kill-after=VARIGHED

    send også et KILL-signal hvis KOMMANDO stadig kører så

    længe efter udsendelsen af det oprindelige signal

-s, --signal=SIGNAL

    angiv signalet, der skal sendes ved tidsudløb.

    SIGNAL kan være et navn såsom "HUP" eller et tal. Se "kill -l" for en liste af signaler

-v, --verbose
    send diagnostik for signal udsendt ved tidsudløb til stderr

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

VARIGHED er et flydende kommatal, eventuelt med et suffiks: "s" for sekunder (standard), "m" for minutter, "h" for timer og "d" for dage. En varighed på 0 deaktiverer tidsgrænsen.

Ved tidsudløb, send TERM-signalet til KOMMANDO, hvi intet andet SIGNAL er angivet. TERM-signalet vil dræbe enhver proces, der ikke blokerer eller fanger dette signal. Det kan være nødvendigt at bruge KILL-signalet, da dette signal ikke kan fanges.

  Afslutningskode:

124 hvis KOMMANDO får tidsudløb, og --preserve-status ikke er angivet

125 hvis selve tidsudløbskommandoen fejler

126 hvis KOMMANDO findes men ikke kan igangsættes

127 hvis KOMMANDO ikke kan findes

137 hvis KOMMANDO (eller selve tidsudløb) sendes KILL (9)-signalet (128+9)

-   ellers afslutningsstatus for KOMMANDO

FEJL
Nogle platforme understøtter i øjeblikket ikke tidsudløb udover året 2038.

FORFATTER
Skrevet af Padraig Brady.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
kill(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/timeout>
eller lokalt tilgængelig via: info '(coreutils) timeout invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.